CREATE PROCEDURE [dbo].[BO_PasswordReset]
	@Token VARCHAR(255),
	@NewPassword VARCHAR(255)
AS
	DECLARE @Result bit;
	UPDATE Users SET [Password] = @NewPassword, PasswordResetToken = NULL WHERE PasswordResetToken = @Token
	SET @Result = IIF(@@ROWCOUNT > 0, 1, 0)
RETURN @Result
